Intermittent browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Uncaught exception - waiting for correct visibility - timed out after 50 tries.

REOPENED
Assigned to

Status

()

defect
P5
normal
REOPENED
2 months ago
3 days ago

People

(Reporter: intermittent-bug-filer, Assigned: johannh)

Tracking

({intermittent-failure, leave-open, regression})

unspecified
Firefox 68
Points:
---

Firefox Tracking Flags

(firefox68 fix-optional)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment)

Reporter

Description

2 months ago
treeherder

#[markdown(off)]
Filed by: nbeleuzu [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=242408594&repo=autoland

https://queue.taskcluster.net/v1/task/eGNc3qHURCOhBMTlS_EaNw/runs/0/artifacts/public/logs/live_backing.log

https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/eGNc3qHURCOhBMTlS_EaNw/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1

[task 2019-04-24T19:54:30.531Z] 19:54:30 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | report breakage button has the correct visibility -
[task 2019-04-24T19:54:30.533Z] 19:54:30 INFO - Console message: [JavaScript Error: "The character encoding of the plain text document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the file needs to be declared in the transfer protocol or file needs to use a byte order mark as an encoding signature." {file: "http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs" line: 0}]
[task 2019-04-24T19:54:30.534Z] 19:54:30 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html" line: 0}]
[task 2019-04-24T19:54:30.534Z] 19:54:30 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html" line: 0}]
[task 2019-04-24T19:54:30.536Z] 19:54:30 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html" line: 0}]
[task 2019-04-24T19:54:30.537Z] 19:54:30 INFO - Buffered messages finished
[task 2019-04-24T19:54:30.539Z] 19:54:30 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Uncaught exception - waiting for correct visibility - timed out after 50 tries.
[task 2019-04-24T19:54:30.539Z] 19:54:30 INFO - Leaving test bound testReportBreakageVisibility
[task 2019-04-24T19:54:30.540Z] 19:54:30 INFO - Entering test bound testReportBreakageCancel
[task 2019-04-24T19:54:30.542Z] 19:54:30 INFO - Console message: [JavaScript Warning: "The resource at “http://trackertest.org/” was blocked because content blocking is enabled." {file: "http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html" line: 0}]

Assignee

Comment 1

2 months ago

Ugh, didn't fix it.

Assignee: nobody → jhofmann
Status: NEW → ASSIGNED

Updated

2 months ago
Summary: Intermittent [TV] browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Uncaught exception - waiting for correct visibility - timed out after 50 tries. → Intermittent browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Uncaught exception - waiting for correct visibility - timed out after 50 tries.
Comment hidden (Intermittent Failures Robot)

There are 34 total failures in the last 7 days on linux32 debug, linux64 debug and asan, linux64-shippable and osx-10-10-shippable opt builds and osx-10-10, windows10-64, windows7-32 debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=242840793&repo=mozilla-central&lineNumber=5857

[task 2019-04-26T11:05:02.218Z] 11:05:02 INFO - TEST-START | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js
[task 2019-04-26T11:05:02.601Z] 11:05:02 INFO - GECKO(2554) | ++DOCSHELL 0xde093000 == 2 [pid = 2625] [id = {b0715757-e4ee-43e9-9b08-a8e9a972a752}]
[task 2019-04-26T11:05:02.601Z] 11:05:02 INFO - GECKO(2554) | ++DOMWINDOW == 3 (0xe80c5790) [pid = 2625] [serial = 79] [outer = (nil)]
[task 2019-04-26T11:05:02.662Z] 11:05:02 INFO - GECKO(2554) | ++DOMWINDOW == 4 (0xde094c00) [pid = 2625] [serial = 80] [outer = 0xe80c5790]
[task 2019-04-26T11:05:02.855Z] 11:05:02 INFO - GECKO(2554) | ++DOMWINDOW == 5 (0xe7f57000) [pid = 2625] [serial = 81] [outer = 0xe80c5790]

[task 2019-04-26T11:05:15.890Z] 11:05:15 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | report breakage button has the correct visibility -
[task 2019-04-26T11:05:15.890Z] 11:05:15 INFO - Buffered messages logged at 11:05:08
[task 2019-04-26T11:05:15.893Z] 11:05:15 INFO - Console message: [JavaScript Error: "The character encoding of the plain text document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the file needs to be declared in the transfer protocol or file needs to use a byte order mark as an encoding signature." {file: "http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs" line: 0}]
[task 2019-04-26T11:05:15.893Z] 11:05:15 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html" line: 0}]
[task 2019-04-26T11:05:15.894Z] 11:05:15 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html" line: 0}]
[task 2019-04-26T11:05:15.895Z] 11:05:15 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html" line: 0}]
[task 2019-04-26T11:05:15.896Z] 11:05:15 INFO - Buffered messages finished
[task 2019-04-26T11:05:15.897Z] 11:05:15 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Uncaught exception - waiting for correct visibility - timed out after 50 tries.
[task 2019-04-26T11:05:15.898Z] 11:05:15 INFO - Leaving test bound testReportBreakageVisibility
[task 2019-04-26T11:05:15.899Z] 11:05:15 INFO - Entering test bound testReportBreakageCancel
[task 2019-04-26T11:05:15.900Z] 11:05:15 INFO - GECKO(2554) | --DOCSHELL 0xe6c11000 == 0 [pid = 2730] [id = {53926229-b3f0-41e8-82f0-7e823e907655}] [url = http://tracking.example.org/browser/browser/base/content/test/trackingUI/benignPage.html]
[task 2019-04-26T11:05:15.902Z] 11:05:15 INFO - GECKO(2554) | ++DOCSHELL 0xe6c7ac00 == 1 [pid = 2730] [id = {0e602321-6c7d-4fa3-8f65-4ccd01981a97}]
[task 2019-04-26T11:05:15.904Z] 11:05:15 INFO - GECKO(2554) | ++DOMWINDOW == 15 (0xe8172680) [pid = 2730] [serial = 133] [outer = (nil)]
[task 2019-04-26T11:05:15.907Z] 11:05:15 INFO - GECKO(2554) | ++DOMWINDOW == 16 (0xe6c7e400) [pid = 2730] [serial = 134] [outer = 0xe8172680]
[task 2019-04-26T11:05:15.909Z] 11:05:15 INFO - GECKO(2554) | ++DOMWINDOW == 17 (0xe71abc00) [pid = 2730] [serial = 135] [outer = 0xe8172680]
[task 2019-04-26T11:05:16.080Z] 11:05:16 INFO - GECKO(2554) | ++DOCSHELL 0xe71ac400 == 2 [pid = 2730] [id = {f737d771-158e-4274-9fa7-7a398b1c573b}]
[task 2019-04-26T11:05:16.081Z] 11:05:16 INFO - GECKO(2554) | ++DOMWINDOW == 18 (0xe8172bd0) [pid = 2730] [serial = 136] [outer = (nil)]
[task 2019-04-26T11:05:16.102Z] 11:05:16 INFO - GECKO(2554) | ++DOMWINDOW == 19 (0xe6c82400) [pid = 2730] [serial = 137] [outer = 0xe8172bd0]
[task 2019-04-26T11:05:16.160Z] 11:05:16 INFO - GECKO(2554) | [Parent 2554, Main Thread] WARNING: '!mPresContext', file /builds/worker/workspace/build/src/dom/events/UIEvent.cpp, line 166
[task 2019-04-26T11:05:16.160Z] 11:05:16 INFO - GECKO(2554) | [Parent 2554, Main Thread] WARNING: '!mPresContext', file /builds/worker/workspace/build/src/dom/events/UIEvent.cpp, line 180
[task 2019-04-26T11:05:16.241Z] 11:05:16 INFO - GECKO(2554) | --DOMWINDOW == 18 (0xe8172ac0) [pid = 2730] [serial = 116] [outer = (nil)] [url = http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html]
[task 2019-04-26T11:05:16.243Z] 11:05:16 INFO - GECKO(2554) | --DOMWINDOW == 17 (0xe8173560) [pid = 2730] [serial = 125] [outer = (nil)] [url = http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html]
[task 2019-04-26T11:05:16.243Z] 11:05:16 INFO - GECKO(2554) | --DOMWINDOW == 16 (0xe8173120) [pid = 2730] [serial = 120] [outer = (nil)] [url = about:blank]
[task 2019-04-26T11:05:16.244Z] 11:05:16 INFO - GECKO(2554) | --DOMWINDOW == 15 (0xe8173bc0) [pid = 2730] [serial = 128] [outer = (nil)] [url = about:blank]
[task 2019-04-26T11:05:16.244Z] 11:05:16 INFO - GECKO(2554) | --DOMWINDOW == 14 (0xe8173670) [pid = 2730] [serial = 123] [outer = (nil)] [url = http://trackertest.org/]
[task 2019-04-26T11:05:16.346Z] 11:05:16 INFO - Console message: [JavaScript Warning: "The resource at “http://trackertest.org/” was blocked because content blocking is enabled." {file: "http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html" line: 0}]
[task 2019-04-26T11:05:16.443Z] 11:05:16 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | report breakage button is visible -

Whiteboard: [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)

Comment 9

2 months ago

There are 105 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-27&endday=2019-05-04&tree=trunk&bug=1546797

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=244630303&repo=autoland&lineNumber=2221

[task 2019-05-04T00:53:20.729Z] 00:53:20 INFO - TEST-START | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js
[task 2019-05-04T00:53:30.207Z] 00:53:30 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Uncaught exception - waiting for correct visibility - timed out after 50 tries.
[task 2019-05-04T00:53:30.208Z] 00:53:30 INFO - Leaving test bound testReportBreakageVisibility
[task 2019-05-04T00:53:30.209Z] 00:53:30 INFO - Entering test bound testReportBreakageCancel
[task 2019-05-04T00:53:30.330Z] 00:53:30 INFO - Console message: [JavaScript Warning: "The resource at “http://trackertest.org/” was blocked because content blocking is enabled." {file: "http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html" line: 0}]
[task 2019-05-04T00:53:30.372Z] 00:53:30 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | report breakage button is visible -
[task 2019-05-04T00:53:30.756Z] 00:53:30 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | recorded telemetry for the click -
[task 2019-05-04T00:53:30.756Z] 00:53:30 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Report breakage view was shown -
[task 2019-05-04T00:53:31.027Z] 00:53:31 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Main view was shown -
[task 2019-05-04T00:53:31.137Z] 00:53:31 INFO - Leaving test bound testReportBreakageCancel
[task 2019-05-04T00:53:31.137Z] 00:53:31 INFO - Entering test bound testTP
[task 2019-05-04T00:53:31.729Z] 00:53:31 INFO - Console message: [JavaScript Warning: "The resource at “http://trackertest.org/” was blocked because content blocking is enabled." {file: "http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?a=b&1=abc&unicode=%F0%9F%A6%8A" line: 0}]
[task 2019-05-04T00:53:31.791Z] 00:53:31 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Comments textarea should initially be empty -
[task 2019-05-04T00:53:32.258Z] 00:53:32 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Shows the correct URL in the report UI. -
[task 2019-05-04T00:53:32.314Z] 00:53:32 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | request was a post -
[task 2019-05-04T00:53:32.318Z] 00:53:32 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Should send the correct form data - ["","Content-Disposition: form-data; name="title"\r\n\r\ntracking.example.org\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: true\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 4\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\ntrackingprotection\r\n",""] deepEqual ["","Content-Disposition: form-data; name="title"\r\n\r\ntracking.example.org\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: true\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 4\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\ntrackingprotection\r\n",""] -
[task 2019-05-04T00:53:32.622Z] 00:53:32 INFO - Leaving test bound testTP
[task 2019-05-04T00:53:32.623Z] 00:53:32 INFO - Entering test bound testCR
[task 2019-05-04T00:53:33.096Z] 00:53:33 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html?a=b&1=abc&unicode=%F0%9F%A6%8A" line: 0}]
[task 2019-05-04T00:53:33.097Z] 00:53:33 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html?a=b&1=abc&unicode=%F0%9F%A6%8A" line: 0}]
[task 2019-05-04T00:53:33.098Z] 00:53:33 INFO - Console message: [JavaScript Warning: "Request to access cookie or storage on “http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs” was blocked because it came from a tracker and content blocking is enabled." {file: "http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html?a=b&1=abc&unicode=%F0%9F%A6%8A" line: 0}]
[task 2019-05-04T00:53:33.147Z] 00:53:33 INFO - Console message: [JavaScript Error: "The character encoding of the plain text document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the file needs to be declared in the transfer protocol or file needs to use a byte order mark as an encoding signature." {file: "http://trackertest.org/browser/browser/base/content/test/trackingUI/cookieServer.sjs" line: 0}]
[task 2019-05-04T00:53:33.394Z] 00:53:33 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Comments textarea should initially be empty -
[task 2019-05-04T00:53:33.821Z] 00:53:33 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Shows the correct URL in the report UI. -
[task 2019-05-04T00:53:33.862Z] 00:53:33 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | request was a post -
[task 2019-05-04T00:53:33.862Z] 00:53:33 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Should send the correct form data - ["","Content-Disposition: form-data; name="title"\r\n\r\nnot-tracking.example.com\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: false\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 4\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\ncookierestrictions\r\n",""] deepEqual ["","Content-Disposition: form-data; name="title"\r\n\r\nnot-tracking.example.com\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: false\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 4\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\ncookierestrictions\r\n",""] -
[task 2019-05-04T00:53:34.103Z] 00:53:34 INFO - Leaving test bound testCR
[task 2019-05-04T00:53:34.104Z] 00:53:34 INFO - Entering test bound testFP
[task 2019-05-04T00:53:34.991Z] 00:53:34 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Comments textarea should initially be empty -
[task 2019-05-04T00:53:35.027Z] 00:53:35 INFO - Console message: [JavaScript Warning: "The resource at “https://fingerprinting.example.com/” was blocked because content blocking is enabled." {file: "http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?a=b&1=abc&unicode=%F0%9F%A6%8A" line: 0}]
[task 2019-05-04T00:53:35.448Z] 00:53:35 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Shows the correct URL in the report UI. -
[task 2019-05-04T00:53:35.470Z] 00:53:35 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | request was a post -
[task 2019-05-04T00:53:35.486Z] 00:53:35 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Should send the correct form data - ["","Content-Disposition: form-data; name="title"\r\n\r\ntracking.example.org\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: false\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 0\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\nfingerprinting\r\n",""] deepEqual ["","Content-Disposition: form-data; name="title"\r\n\r\ntracking.example.org\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: false\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 0\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\nfingerprinting\r\n",""] -
[task 2019-05-04T00:53:35.708Z] 00:53:35 INFO - Leaving test bound testFP
[task 2019-05-04T00:53:35.711Z] 00:53:35 INFO - Entering test bound testCM
[task 2019-05-04T00:53:36.536Z] 00:53:36 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Comments textarea should initially be empty -
[task 2019-05-04T00:53:36.557Z] 00:53:36 INFO - Console message: [JavaScript Warning: "The resource at “http://cryptomining.example.com/” was blocked because content blocking is enabled." {file: "http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?a=b&1=abc&unicode=%F0%9F%A6%8A" line: 0}]
[task 2019-05-04T00:53:36.977Z] 00:53:36 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Shows the correct URL in the report UI. -
[task 2019-05-04T00:53:37.007Z] 00:53:37 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | request was a post -
[task 2019-05-04T00:53:37.014Z] 00:53:37 INFO - TEST-PASS | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Should send the correct form data - ["","Content-Disposition: form-data; name="title"\r\n\r\ntracking.example.org\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: false\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 0\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\ncryptomining\r\n",""] deepEqual ["","Content-Disposition: form-data; name="title"\r\n\r\ntracking.example.org\r\n","Content-Disposition: form-data; name="body"\r\n\r\nFull URL: http://tracking.example.org/browser/browser/base/content/test/trackingUI/trackingPage.html?\r\nuserAgent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0\r\n\r\nPreferences\r\nprivacy.trackingprotection.enabled: false\r\nprivacy.trackingprotection.pbmode.enabled: true\r\nurlclassifier.trackingTable: mochitest2-track-simple\r\nnetwork.http.referer.defaultPolicy: 3\r\nnetwork.http.referer.defaultPolicy.pbmode: 2\r\nnetwork.cookie.cookieBehavior: 0\r\nnetwork.cookie.lifetimePolicy: 0\r\nprivacy.restrict3rdpartystorage.expiration: 2592000\r\nprivacy.trackingprotection.fingerprinting.enabled: true\r\nprivacy.trackingprotection.cryptomining.enabled: true\r\n\r\nComments\r\nThis is a comment\r\n","Content-Disposition: form-data; name="labels"\r\n\r\ncryptomining\r\n",""] -
[task 2019-05-04T00:53:37.234Z] 00:53:37 INFO - Leaving test bound testCM
[task 2019-05-04T00:53:37.396Z] 00:53:37 INFO - GECKO(1912) | MEMORY STAT | vsize 20975195MB | residentFast 1237MB
[task 2019-05-04T00:53:37.397Z] 00:53:37 INFO - TEST-OK | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | took 16669ms
[task 2019-05-04T00:53:37.398Z] 00:53:37 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-05-04T00:53:37.403Z] 00:53:37 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/trackingUI/browser_trackingUI_report_breakage.js | Found an unexpected tab at the end of test run: http://not-tracking.example.com/browser/browser/base/content/test/trackingUI/cookiePage.html -
[task 2019-05-04T00:53:37.526Z] 00:53:37 INFO - checking window state

Comment hidden (Intermittent Failures Robot)

Johann, any updates on this? It's now on disable recommended bugs list.

Flags: needinfo?(jhofmann)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Comment hidden (Intermittent Failures Robot)

Johann, I''ve made the disabling patch, let us know if you want it landed.

Comment hidden (Intermittent Failures Robot)
Assignee

Comment 16

Last month

Yeah, let's disable it for now. Sorry for the delayed responses, was on a work week.

Flags: needinfo?(jhofmann)

Comment 17

Last month
Pushed by jhofmann@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/f6ee274063e3
disabled browser_trackingUI_report_breakage.js on linux debug and asan r=jmaher

Comment 18

Last month
bugherder
Status: ASSIGNED → RESOLVED
Closed: Last month
Resolution: --- → FIXED
Target Milestone: --- → Firefox 68
Comment hidden (Intermittent Failures Robot)
Reporter

Updated

Last month
See Also: → 1550005
Assignee

Comment 20

Last month

Please leave-open bugs when disabling tests.

Status: RESOLVED → REOPENED
Keywords: leave-open
Resolution: FIXED → ---
Assignee

Updated

Last month
Duplicate of this bug: 1550005
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.